.modal-casino {
    position: fixed;
    z-index: 999; /* You might need to increase this if the menu bar has a higher z-index. */
    left: 50%;
    top: 55%; /* Center the modal vertically */
    transform: translate(-50%, -50%);
    width: 100vw; /* 90% of the viewport width */
    height: 100vh; /* 90% of the viewport height */
    background-color: rgba(0, 0, 0, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: auto;
}

.modal-content-casino {
    position: relative;
    width: 80vw; /* 90% of the viewport width */
    height: 80vh; /* 90% of the viewport height */
	top: 15%;
    max-width: 1200px; /* Maximum width */
    margin: auto; /* Center in the available vertical space */
    background-color: #060B20;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    overflow: hidden;
}

.close-button-casino {
    position: absolute;
    top: 1rem;
    right: 1rem;
    font-size: 1.5rem;
    line-height: 1.5rem;
    cursor: pointer;
    color: #aaa;
}

.play-real-button-casino {
    position: absolute;
    right: 51px;
    bottom: 93%;
    background-color: #1B7339;
    color: white;
	font-weight: bold;
    padding: 10px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
	opacity: 0.8; /* Change the opacity value as needed */

}





/* Add this to your stylesheet */
.styled-popup {
    position: fixed;
    z-index: 999999; /* Make sure this is higher than any other element on the page */
    left: 50%;
    top: 50%;
	width: 50vw;
    transform: translate(-50%, -50%);
    background-color: #202A39;
    padding: 20px;
    box-shadow: 0 4px 8px rgba(0,0,0,0.2);
    display: none; /* Initially hidden */
}

.styled-popup-content {
    text-align: center;
}

.styled-popup-button {
    padding: 10px 20px;
    margin: 10px;
    cursor: pointer;
}


.styled-popup-button-signup {
  background-color: #3FF689; /* Green background */
  color: #05080A; /* White text */
  border: none; /* No border */
  border-radius: 5px;
  padding: 10px 20px; /* Some padding */
  text-align: center; /* Center text */
  text-decoration: none; /* No underline on text */
  display: inline-block; /* Allows setting width */
  font-size: 16px; /* Set font size */
  font-weight: 600;
  width: 100%; /* Take up 50% of the parent container */
  box-sizing: border-box; /* Include padding and border in the width */
  cursor: pointer; /* Change mouse cursor on hover */
  transition: background-color 0.3s; /* Smooth background color transition */
  margin: 10px 0; /* Add some margin */
}


.styled-popup-close {
    position: absolute;
    top: 10px;
    right: 10px;
    cursor: pointer;
}



/******************************************* PAGINATION STYLE *************************************************/

.pagination {
    text-align: center;
    margin-top: 20px;
}

.pagination a {
    display: inline-block;
    margin: 5px;
    padding: 10px;
    background-color:#202A39;
    color: #ffffff;
    text-decoration: none;
    transition: background-color 0.3s ease;
}

.pagination a:hover {
    background-color: #e9e9e9;
}

.pagination .current {
    background-color: #16202C;
	padding: 10px;
	margin: 5px;
    color: #A9A9A9;
}

.pagination .dots {
    background: none;
    border: none;
    padding: 8px 0;
}

.pagination .prev,
.pagination .next {
    font-weight: bold;
}

/* Add additional styles for mobile responsiveness if necessary */
@media (max-width: 600px) {
    .pagination a,
    .pagination .dots {
        padding: 8px 12px;
    }
}


/******************************************* GAMES HORIZONTAL SCROLL  *************************************************/




.game-item {
    display: flex; /* Flex will work fine since it's a flex child */
    width: 25%; /* Adjust the width to show 4 items at once on larger screens */
    padding: 10px;
    box-sizing: border-box; /* Include padding in the width calculation */
    /* Additional styling as needed */
}




.scroll {
    position: relative;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: stretch;
    width: 100%;
    height: auto;
    margin: 2.5rem 0;
    cursor: default;
    overflow-x: scroll; /* Changed to overflow-x */
    overflow-y: hidden; /* Hide vertical scrollbar if not needed */
    scroll-snap-type: x mandatory;
	scroll-behavior: smooth;
    scroll-padding: 1px;
    scrollbar-width: none; /* For Firefox */
	
}

.scroll .game-item {
    flex: 0 0 auto; /* Don't grow, don't shrink, and be automatically sized by its width */
    width: 100%; /* Adjust the width to what you prefer for larger screens */
}

/* Hide scrollbar for Chrome, Safari */
.scroll::-webkit-scrollbar {
    display: none;
}

/* Optional: for Internet Explorer 10+ */
.scroll {
    -ms-overflow-style: none;  /* IE 10+ */
}

/* Media query for mobile devices */
@media (max-width: 768px) {
    .scroll .game-item {
        width: 50vw; /* Each item will take 50% of the viewport width */
        min-width: 50vw; /* Ensure that it doesn't get smaller than 50% of the viewport width */
        padding: 10px; /* Adjust padding if needed */
    }
}


/******************************************* GAME SEARCH  *************************************************/

.search-container {
    position: relative;
    width: 100%;
}

#clear-search {
    position: absolute;
    right: 30px;
    top: 50%;
    transform: translateY(-50%);
    background-color: transparent;
    border: none;
    cursor: pointer;
    font-size: 18px;
    color: #999;
}

#clear-search:focus {
    outline: none;
}


/* Style for the search input */
#game-search {
    width: 100%; /* Full width */
    padding-right: 30px; /* Make room for the clear button */
	padding-top: 10px;
	padding-bottom: 10px;
    font-size: 16px; /* Font size */
    border: 1px solid #ccc; /* Border color */
    border-radius: 5px; /* Rounded corners for the input */
    outline: none; /* Removes the default focus outline */
    color: black; /* Text color */
    background-color: white; /* Background color */
	box-sizing: border-box; /* Box-sizing */
    transition: border-color 0.3s; /* Transition for the border color */
}

/* Style for the search input when it is focused */
#game-search:focus {
    border-color: #333; /* Darker border color on focus */
}

/* Placeholder style */
#game-search::placeholder {
    color: #666; /* Lighter text color for placeholder */
}

/* Modern look for the entire form if needed */
.form-search {
    display: flex;
    flex-wrap: wrap;
    justify-content: center; /* Centering if there are multiple form elements */
    gap: 10px; /* Spacing between form elements */
}



.nested-dropdown-item {
  display: flex;
  align-items: left;
  justify-content: space-between;
  padding: 10px 10px;
}

.nested-dropdown a{
  display: flex;
  color: #7683aa;
  align-items: left;
  justify-content: space-between;
  padding: 10px 10px;
  list-style: none;

}

.nested-dropdown-content a {
  display: flex;
  color: #7683aa;
  align-items: left;
  justify-content: space-between;
  padding: 10px 10px;
  width: 100%;

}

#cursor_side_menu {
  cursor: pointer;
}

.odd_type {
  color: #8A92AB; /* Sets the text color to light blue */
  font-size: smaller; /* Makes the font size smaller */
}

/* If you want to apply this style specifically when it's combined with .point__box */
.point__box .odd_value {
  color: inherit; /* Inherits the text color from parent */
  text-align: inherit; /* Inherits text alignment from parent */
}



.country-item {
  display: flex;
  align-items: center;
  margin-bottom: 5px; /* Adjust the space between each item as needed */
}

.country-flag {
  margin-right: 5px; /* Space between flag and country name */
  padding-left: 10px;
}

.country-name {
  display: block; /* Makes the anchor tag fill the flex container */
}




/************************ SCROLL STYLE ****************************/

.scrollable-leagues {
  display: flex;
  overflow-x: auto;
  gap: 5px; /* Spacing between items */
  padding: 10px 0; /* Top and bottom padding */
}

/* Hide scrollbar for mobile and Webkit browsers */
.scrollable-leagues::-webkit-scrollbar {
  display: none;
}

/* Hide scrollbar for IE, Edge, and Firefox */
.scrollable-leagues {
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
}

/* Thin scrollbar for desktop on hover */
@media (hover: hover) {
  .scrollable-leagues::-webkit-scrollbar {
    display: block; /* Show scrollbar on hover for Webkit browsers */
    height: 2px;
  }

  .scrollable-leagues {
    scrollbar-width: thin; /* Show thin scrollbar on hover for Firefox */
    scrollbar-color: #F96500; /* Scrollbar handle and track color */
  }

  /* Style for scrollbar thumb/handle */
  .scrollable-leagues::-webkit-scrollbar-thumb {
    background-color: #F96500;
    border-radius: 10px;
  }
}

/* Styles for the league pill */
.league_pill {
  padding: 5px 10px;
  background-color: #060B20; /* Background color of the pill */
  border-radius: 15px; /* Rounded corners for the pill shape */
  white-space: nowrap; /* Prevent text wrapping */
  margin-right: 5px; /* Right margin for spacing between pills */
}


.scrollable-leagues.active {
  cursor: grabbing;
  cursor: -webkit-grabbing;
}


/* Hide scrollbar but allow scrolling for Webkit browsers */
#scrollable-tab-container::-webkit-scrollbar {
  display: none;
}

#scrollable-tab-container {
  scrollbar-width: thin; /* Firefox */
  scrollbar-color: #F96500;
}


/************************ BET NOW BUTTON STYLE ****************************/
/* Define a new class for the button */
.green-button {
  background-color: #3FF689; /* Green background */
  color: #05080A; /* White text */
  border: none; /* No border */
  border-radius: 5px;
  padding: 10px 20px; /* Some padding */
  text-align: center; /* Center text */
  text-decoration: none; /* No underline on text */
  display: inline-block; /* Allows setting width */
  font-size: 16px; /* Set font size */
  font-weight: 600;
  width: 100%; /* Take up 50% of the parent container */
  box-sizing: border-box; /* Include padding and border in the width */
  cursor: pointer; /* Change mouse cursor on hover */
  transition: background-color 0.3s; /* Smooth background color transition */
  margin: 10px 0; /* Add some margin */
}

/* Hover effect for the button */
.green-button:hover {
  background-color: #27ad5d;
}

/* Media query for mobile screens */
@media screen and (max-width: 876px) {
  .green-button {
      width: 100%; /* On mobile, the button should take up the full width */
      order: 100; /* Make sure the button goes under other elements */
  }
  .cart__point__two {
      display: flex; /* Use flexbox to allow reordering of child elements */
      flex-direction: column; /* Stack children vertically */
  }
  .cart__point__two > * {
      width: 100%; /* Children take full width */
  }
}




/* Style for desktop view */
.desktop-view {
  display: block;
}

/* Style for mobile view */
.mobile-view {
  display: none;
}

/* CSS Media Query for Mobile Devices */
@media (max-width: 1314px) {
  .desktop-view {
    display: none; /* Hide desktop view on mobile devices */
  }

  .mobile-view {
    display: block; /* Show mobile view on mobile devices */

    
  }

  .main__table .table__wrap .table__items {
    display: flex; /* Use flexbox to align items */
    justify-content: left; /* Center items horizontally */
    align-items: center; /* Center items vertically */
    flex-wrap: wrap; /* Allows items to wrap onto multiple lines if needed */
    gap: 15px; /* Set the gap between items */
    padding-bottom: 20px;
    padding-top: 20px;
    width: 100%; /* Ensure the container takes up full width */
    box-sizing: border-box; /* Include padding in the element's total width and height */
    overflow-x: hidden; /* Add scroll if items overflow horizontally */
  }
}



/************************ SIDE MENU SCROLLBAR ****************************/

.scrollable-content_left_menu {
  overflow-y: auto; /* Enable vertical scrolling */
  max-height: 100vh; /* Adjust the maximum height as needed */
  scrollbar-width: none; /* For Firefox */
  -ms-overflow-style: none; /* For Internet Explorer and Edge */
}

/* For Webkit browsers like Chrome, Safari */
.scrollable-content_left_menu::-webkit-scrollbar {
  display: none;
}

/* Media query for mobile devices */
@media (max-width: 768px) {
  .scrollable-content_left_menu::-webkit-scrollbar {
    display: block;
    width: 5px; /* Adjust the width of the scrollbar here */
  }

  .scrollable-content_left_menu::-webkit-scrollbar-thumb {
    background-color: rgba(0,0,0,0.5); /* Scroll thumb color */
    border-radius: 10px; /* Rounded corners for the scroll thumb */
  }

  .scrollable-content_left_menu::-webkit-scrollbar-track {
    background-color: transparent; /* Scroll track color */
  }

  .scrollable-content_left_menu {
    scrollbar-width: thin;
    -ms-overflow-style: scrollbar;
  }
}

/******************************** SIDE MENU MOBILE + TRANSITION ****************************************************************/ 

/* Initial state of the menu: positioned off-screen to the left */
.modal-offscreen-left {
  transform: translateX(-100%);
  transition: transform 0.3s ease-out;
}

/* State of the menu when it's visible: positioned on-screen */
.modal-on-screen {
  transform: translateX(0);
  transition: transform 0.3s ease-in;
}

/* Style for the close button */
.close-button {
  position: absolute;
  left: 0; /* adjust as necessary */
  top: 0; /* adjust as necessary */
  cursor: pointer;
}

/******************************** Custom Style Logn / Join Buttons  ****************************************************************/ 


.login-button {

  border: 2px solid #3FF689;
  color: #FFFFFF; /* White text */
  border-radius: 5px;
  padding: 10px 20px; /* Some padding */
  text-align: center; /* Center text */
  text-decoration: none; /* No underline on text */
  display: inline-block; /* Allows setting width */
  font-size: 12px; /* Set font size */
  width: 100%; /* Take up 50% of the parent container */
  box-sizing: border-box; /* Include padding and border in the width */
  cursor: pointer; /* Change mouse cursor on hover */
  transition: background-color 0.3s; /* Smooth background color transition */
  margin: 5px; /* Add some margin */
  padding: 10px;
}

/* Hover effect for the button */
.login-button:hover {
  background-color: #27ad5d;
}

.join-button {
  background-color: #3FF689; /* Green background */
  color: #05080A; /* White text */
  border: none; /* No border */
  border-radius: 5px;
  padding: 10px 20px; /* Some padding */
  text-align: center; /* Center text */
  text-decoration: none; /* No underline on text */
  display: inline-block; /* Allows setting width */
  font-size: 16px; /* Set font size */
  font-weight: 600;
  width: 100%; /* Take up 50% of the parent container */
  box-sizing: border-box; /* Include padding and border in the width */
  cursor: pointer; /* Change mouse cursor on hover */
  transition: background-color 0.3s; /* Smooth background color transition */
  margin: 5px; /* Add some margin */
}

/* Hover effect for the button */
.join-button:hover {
  background-color: #27ad5d;
}


/******************************** Custom Style for Login Page  ****************************************************************/ 



.login h1 a {
	
 color: white;
  font-size: 30px;
  font-weight: 300;
  background-image: none;
  width: auto;
  height: auto;
  text-indent: 0;
	
}


body.login .button-primary {
  background-color: #F3486A;
  color: white;
 
}

body.login .button-primary:active,
body.login .button-primary:focus,
body.login .button-primary:hover {
   background-color: #F3486A;
  color: white;
}

.login form {
	
	background-color: #141C33;
	margin-top: 20px;
    margin-left: 0;
    padding: 26px 24px 34px;
    font-weight: 400;
    overflow: hidden;
    border: 0px solid #c3c4c7;
    box-shadow: 0 1px 3px rgba(0,0,0,.04)
}

.login label {
	
font-size: 14px;
    line-height: 1.5;
    display: inline-block;
    margin-bottom: 3px;
	color: white
}

#login #reg_passmail, #login form .indicator-hint {

	color: white;
	
}

.login #backtoblog a, .login #nav a {
    text-decoration: none;
    color: white;
}

.login form .input, .login form input[type=checkbox], .login input[type=text] {
    background: #25304A;
	color: white;
}

/******************************** Top Partners   ****************************************************************/ 


.top-Partners-card-container {
    display: flex;
    overflow-x: auto; /* Enable horizontal scrolling */
    padding: 20px 0;
	margin: 0 10px 0 10px;
}

.top-Partners-card {
    background-color: #141C33;
    border-radius: 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-right: 25px; /* Add margin to the right to space out the cards horizontally */
	margin-left: 25px; /* Add margin to the left to space out the cards horizontally */
    padding: 15px;
    min-width: 350px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.top-Partners-card img {
    border-radius: 0px;
    width: 50px;
    margin-bottom: 15px;
}

.top-Partners-stars {
    display: flex;
    margin-bottom: 10px;
}

.top-Partners-stars img {
    width: 24px;
    height: 24px;
    margin-right: 5px;
}

.top-Partners-text {
    font-size: 18px;
    margin-bottom: 10px;
    color: white;
    text-align: center; /* Center align text */
}

.top-Partners-cta-button {
    background-color: #FF6610;
    border: none;
    color: white;
    padding: 10px 20px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin-top: 10px;
    border-radius: 5px;
    cursor: pointer;
}

.top-Partners-cta-button:hover {
    background-color: #0056b3;
}

.top-Partners-card-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    flex-grow: 1;
}


/******************************** SPINNING WHEEL   ****************************************************************/ 


.wheel_container {
    position: relative;
    width: 50px; /* Adjust based on your image size */
    height: 50px; /* Adjust based on your image size */
}

.wheel {
    position: absolute;
    width: 100%;
    height: 100%;
    -webkit-animation: spin 5s linear infinite;
    animation: spin 5s linear infinite;
}

.marker {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 15px; /* Adjust based on your image size */
    height: auto;
}

@-webkit-keyframes spin {
    from {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    to {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes spin {
    from {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    to {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
